VismaBouwsoftAPICalls.v1_PUT_Devices Method
v1_PUT_Devices() as String

This API call is used to update fields of a(n) Device

General Description

HTTP method API version
PUT v1

Don’t forget to put the Authorization field in the header

API Path: /Devices/{id}

You make this API call with the key field id as the path parameter (the id of the Device you want to update)

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
maintenancesheet_id 1 tpLong 0 No No No
group 2 tpString 100 No Yes No
nr 2 tpString 100 No Yes No
description 2 tpString 0 No Yes No
product_id 1 tpLong 0 No No No
machine_id 1 tpLong 0 No No No
unit 2 tpString 10 No Yes No
quantity 4 tpDouble 0 No Yes No
serialnr 2 tpString 50 No Yes No
typenr 2 tpString 50 No Yes No
brand 2 tpString 50 No Yes No
constructionyear 1 tpLong 0 No Yes No
active 5 tpBool 0 No Yes No
installationdate 6 tpDateNullString 0 No Yes No
lastmaintenance 6 tpDateNullString 0 No No No
nextmaintenance 6 tpDateNullString 0 No No No
maintenancecycle 2 tpString 0 No No No
ts_lastupdate 3 tpDate 0 No No No

/Devices/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Devices/892

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: UbOfWxfrDkzSfIIIrfzRqDlIfDlrGfjVflbbzbPtflmfAGAPkA

Query Parameters :
ParameterName: columns, ParameterValue: description=’Inox buizen‘,quantity=15,unit=’m’

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 892,
    "description": "Inox buizen",
    "unit": "m",
    "quantity": 15
  }
]
}